uucico(8)

NAZWA
uucico - Demon transferów plików UUCP

SKŁADNIA
uucico [opcje]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

Demon uucico przetwarza żądania transferów plików skolejkowane przez polecenia uucp(1) i uux(1). Jest on uruchamiany gdy wywołane zostanie uucp lub uux (chyba że przekazana im zostanie opcja -r). Jest również cząsto uruchamiany periodycznie przy użyciu tabel crontab.

Podczas uruchomienia z opcjami -r1, --master, -s, --system lub -S, demon zapoczątkuje połączenie telefoniczne ze zdalnym systemem, pracując w trybie master. W przeciwnym wypadku, demon uruchomi się w trybie slave, przyjmując połączenie ze zdalnego systemu. Zazwyczaj konfigurowany jest specjalny użytkownik dla UUCP, który automatycznie uruchamia uucico podczas połączenia.

Gdy uucico kończy działanie, wywołuje ono demona uuxqt(8), chyba że podano mu opcję -q lub --nouuxqt; uuxqt(8) wykonuje wszelkie żądania zadań stworozne przez uux(1) na zdalnej maszyni i wszelkie zadania stworzone lokalnie, które otrzymały zdalne pliki, na które oczekiwały.

Jeśli połączenie się nie uda, uucico odmówi ponowienia połączenia, aż nie minie określona (konfigurowalna) ilość czasu. Może to być przesłonięte opcjami -f, --force lub -S.

Opcji -l, --prompt, -e lub --loop można użyć do zmuszenia uucico do przedstawienia swoich własnych zachęt zamiast "Login:" i "Password:". Gdy dzwoni inny demon, ujrzy on te zachęty i zaloguje się jak zwykle. Nazwa użytkownika i hasło będą sprawdzane w oddzielnej liście uucico zamiast w pliku /etc/passwd; jest jednak możliwe na większości systemów doprowadzenie uucico do korzystania z pliku /etc/passwd. Opcje -l lub --prompt przedstawią zachętę jednorazowo, a potem zakończą działanie. W tym trybie administrator UUCP lub superużytkownik może użyć opcji -u lub --login aby wymusić nazwę użytkownika, wówczas uucico nie będzie o nią pytać. Opcja -e lub --loop będzie pytać gdy pierwsza sesja zostanie zakończona; w tym trybie uucico będzie stale kontrolować port.

Jeśli uucico otrzyma sygnał SIGQUIT, SIGTERM lub SIGPIPE, to zakończy czysto każdą bieżącą konwersację ze zdalnym systemem i zakończy pracę. Jeśli otrzyma sygnał SIGHUP, przerwie każdą konwersację, lecz będzie wciąż dzwonić (jeśli wywołane z opcjami -r1 lub --master) i przyjmować połączenia telefoniczne (jeśli wywołane z opcjami -e lub --loop) innych systemów. Jeśli otrzyma sygnał SIGINT, zakończy bieżącą konwersację, lecz nie będzie już dokonywać lub odbierać innych połączeń.

OPCJE
uucico można przekazać następujące opcje:

-r1, --master
    Uruchamia się w trybie master (dzwoni do systemu); implikowane przez -s, --system lub -S. Jeśli nie podano systemu, dzwoni do dowolnego systemu, dla którego oczekuje jakieś zadanie.

-r0, --slave
    Uruchamia się w trybie slave. Tak jest domyślnie.

-s system, --system system
    Łączy się z podanym systemem.

-S system
    Dzwoni do podanego systemu, ignorując wszelkie okresy oczekiwania. Jest to równoważne -s system -f.

-f, --force
    Ignoruje wszelkie wymagane oczekiwania na zadzwonienie do jakichkolwiek systemów.

-l, --prompt
    Pyta o nazwę użytkownika i hasło przy użyciu "login:" i "Password:". Umożliwia uruchamianie uucico z inetd(8). Nazwa użytkownika i hasło są sprawdzane według pliku z hasłami, należącego do UUCP, które najprawdopodobniej nie ma żadnego związku z plikiem /etc/passwd. Opcja --login może być używana do wymuszania nazwy użytkownika - wówczas uucico zapyta tylko o hasło.

-p port, --port port
    Podaje port, do którego dzwonić lub na którym nasłuchiwać.

-e, --loop
    Wchodzi w nieskończoną pętlę promptów login/password i uruchami się w trybie slave. Program nie zatrzyma się sam z siebie; trzeba użyć polecenia kill(1), aby go zamknąć.

-w, --wait
    Po wydzwonieniu (do danego systemu, po otrzymaniu opcji -s, --system lub -S, lub do wszystkich systemów, które mają zadania gdy podano tylko -r1 lub --master), rozpoczyna nieskończoną pętlę, jak przy --loop.

-q, --nouuxqt
    Nie uruchamia demona uuxqt(8) po zakończeniu.

-c, --quiet
    Jeśli o tej porze nie są dozwolone połączenia, nie wykonuje połączenia, lecz również nie daje informacji o błędzie do pliku dziennika i nie odnawiaj statusu systemu (zgłaszanego przez uustat(1)). Może to mieć zastosowanie dla automatyzowania skryptów poolujących, które mogą po prostu próbować dzwonić do każdego systemu niż martwić się o to, do którego w danej chwili można zadzwonić. Opcja ta eliminuje również informację dziennika, wskazującą, że nie ma już zadań do wykonania.

-C, --ifwork
    Dzwoni do systemów podanych przez -s, --system lub -S jedynie w wypadku, gdy są dla nich jakieś zadania.

-D, --nodetach
    Nie odłącza się od kontrolującego terminala. Normalnie uucico odłącza się od terminala przed jakimkolwiek wydzwonieniem do innego systemu i przed wywołaniem uuxqt. Opcja ta eliminuje takie zachowanie.

-u nazwa, --login nazwa
    Ustawia nazwę logującego się użytkownika. Będzie ona użyta zamiast pobranej nazwy wywołującego użytkownika. Tej opcji może użyć tylko administrator UUCP lub superużytkownik. Jeśli zastosowano ją w połączeniu z --prompt, to spowoduje, że uucico zapyta tylko o hasło, pomijając nazwę użytkownika.

-z, --try-next
    Jeśli połączenie się nie uda po osiągnięciu zdalnego systemu, próbuje następnej alternatywy zamiast po prostu zakończyć.

-i typ, --stdin typ
    Ustawia typ portu wykorzystywanego podczas używania standardowego wejścia. Jedynym obsługiwanym typem jest TLI i jest on dostępny tylko na maszynach obsługujących ten interfejs sieciowy. Podanie -iTLI powoduje, że uucico zacznie używać wywołań TLI do dokonywania I/O.

-x typ, -X typ, --debug typ
    Włącza dany rodzaj diagnostyki. Rozpoznawane są następujące: abnormal, chat, handshake, uucp-proto, proto, port, config, spooldir, execute, incoming, outgoing.

    Można podawać wiele typów rozdzielonych przecinkami, a opcja --debug może pojawić się wiele razy. Można podać także liczbę, która włączy kolejne typy powyższej listy; np, --debug 2 jest równoważne --debug abnormal,chat.

    Wyjście diagnostyczne jest wysyłane do pliku pliku informacji diagnostycznych, zwykle jednego z /usr/spool/uucp/Debug, /usr/spool/uucp/DEBUG, lub /usr/spool/uucp/.Admin/audit.local.

-I plik, --config plik
    Wskazuje plik konfiguracyjny, z którego ma korzystać program. Opcja ta może nie być dostępna, zależnie od tego, jak skompilowano uucico.

-v, --version
    Wypisuje wersję i kończy pracę.

--help
    Wypisuje informację o sposobie użycia i kończy pracę.

PLIKI
Nazwy plików można zmieniać podczas kompilacji lub w pliku konfiguracyjnym, więc poniższe są tylko przybliżeniami.

/usr/lib/uucp/config - Plik konfiguracyjny.
/usr/lib/uucp/passwd - Domyślny plik z hasłami UUCP.
/usr/spool/uucp - Katalog kolejkowy UUCP.
/usr/spool/uucp/Log - Plik log UUCP.
/usr/spool/uucppublic - Domyślny katalog publiczny UUCP.
/usr/spool/uucp/Debug - Plik z informacjami diagnostycznymi.

ZOBACZ TAKŻE
kill(1), uucp(1), uux(1), uustat(1), uuxqt(8)

AUTOR
Ian Lance Taylor <ian@airs.com>

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 8 uucico

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.